> ## Documentation Index
> Fetch the complete documentation index at: https://nayax-44d6e37b-docs-marshall-faq-redistribution.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add New Driver

> Adds a new driver to the scheduling system. The request body should include the details of the driver to be added.



## OpenAPI

````yaml /openapi/lynx.yaml post /v1/Scheduling/drivers
openapi: 3.0.1
info:
  title: Nayax Operational Lynx API
  version: v1
servers:
  - url: https://qa-lynx.nayax.com/operational
security:
  - Authorization: []
paths:
  /v1/Scheduling/drivers:
    post:
      tags:
        - Scheduling
      summary: Add New Driver
      description: >-
        Adds a new driver to the scheduling system. The request body should
        include the details of the driver to be added.
      operationId: add-new-driver
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DriverRequestDto'
      responses:
        '200':
          description: The newly added driver details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DriverResponseDto'
components:
  schemas:
    DriverRequestDto:
      type: object
      properties:
        UserId:
          type: integer
          format: int64
          description: The unique identifier of the user associated with the driver.
        OperatorId:
          type: integer
          format: int64
          description: The unique identifier of the operator associated with the driver.
        DriverStatusId:
          type: integer
          format: int32
          nullable: true
          description: >-
            The status identifier of the driver, indicating their current
            status.
        StartDate:
          type: string
          nullable: true
          description: The date when the driver started working.
        DriverLicense:
          type: string
          nullable: true
          description: The driver's license number of the driver.
        IdNumber:
          type: string
          nullable: true
          description: The identification number of the driver.
        Skills:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
          description: A list of skill identifiers associated with the driver.
        WorkingHours:
          type: array
          items:
            $ref: '#/components/schemas/DriverWorkingDayAndHours'
          nullable: true
          description: A list of working days and hours for the driver.
      additionalProperties: false
    DriverResponseDto:
      type: object
      properties:
        Id:
          type: string
          format: uuid
          description: The unique identifier of the driver.
        DistributorId:
          type: integer
          format: int64
          description: The unique identifier of the distributor associated with the driver.
        OperatorId:
          type: integer
          format: int64
          description: The unique identifier of the operator associated with the driver.
        OperatorName:
          type: string
          nullable: true
          description: The name of the operator associated with the driver.
        UserId:
          type: integer
          format: int64
          description: The unique identifier of the user associated with the driver.
        FullName:
          type: string
          nullable: true
          description: The full name of the driver.
        Mobile:
          type: string
          nullable: true
          description: The mobile phone number of the driver.
        Email:
          type: string
          nullable: true
          description: The email address of the driver.
        DriverLicense:
          type: string
          nullable: true
          description: The driver's license number of the driver.
        IdNumber:
          type: string
          nullable: true
          description: The identification number of the driver.
        Img:
          type: string
          nullable: true
          description: The URL to the driver's image.
        DriverStatusId:
          type: integer
          format: int32
          nullable: true
          description: >-
            The status identifier of the driver, indicating their current
            status.
        StartDate:
          type: string
          nullable: true
          description: The date when the driver started working.
        Skills:
          type: array
          items:
            type: integer
            format: int32
          nullable: true
          description: A list of skill identifiers associated with the driver.
        WorkingHours:
          type: string
          nullable: true
          description: The working hours of the driver.
        CreatedBy:
          type: integer
          format: int64
          description: The identifier of the user who created the driver entry.
        CreatedDt:
          type: string
          format: date-time
          description: The date and time when the driver entry was created.
        UpdatedBy:
          type: integer
          format: int64
          nullable: true
          description: The identifier of the user who last updated the driver entry.
        UpdatedDt:
          type: string
          format: date-time
          nullable: true
          description: The date and time when the driver entry was last updated.
      additionalProperties: false
    DriverWorkingDayAndHours:
      type: object
      properties:
        Day:
          type: integer
          format: int32
          description: >-
            The day of the week represented as an integer (e.g., 1 for Monday, 7
            for Sunday).
        Enabled:
          type: boolean
          description: Indicates whether the driver is available to work on this day.
        Hours:
          type: array
          items:
            $ref: '#/components/schemas/DriverWorkingHours'
          nullable: true
          description: The working hours for the driver on this day.
      additionalProperties: false
    DriverWorkingHours:
      type: object
      properties:
        StartHour:
          type: string
          nullable: true
          description: The start hour of the driver's working time, formatted as HH:MM.
        EndHour:
          type: string
          nullable: true
          description: The end hour of the driver's working time, formatted as HH:MM.
      additionalProperties: false
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: Enter your Bearer token. It's required to authenticate API requests.

````